## r-cran-sessioninfo 1.1.1

=== DESCRIPTION ===
Package: sessioninfo
Title: R Session Information
Version: 1.1.1
Author: Gábor Csárdi, R core, Hadley Wickham, Winston Chang,
    Robert M Flight, Kirill Müller, Jim Hester
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Query and print information about the current R session.
    It is similar to 'utils::sessionInfo()', but includes more information
    about packages, and where they were installed from.
License: GPL-2
LazyData: true
URL: https://github.com/r-lib/sessioninfo#readme
BugReports: https://github.com/r-lib/sessioninfo/issues
RoxygenNote: 6.1.0
Suggests: callr, covr, mockery, testthat
Imports: cli, tools, utils, withr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2018-11-05 16:32:45 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2018-11-05 17:20:02 UTC

=== debian/changelog ===
r-cran-sessioninfo (1.1.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 08:50:54 +0200

r-cran-sessioninfo (1.1.1-3) unstable; urgency=medium

  * Fix autopkgtest

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Apr 2020 14:48:14 +0200

r-cran-sessioninfo (1.1.1-2) unstable; urgency=medium

  * Add r-cran-mockery to test-deps
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Mar 2020 09:43:01 +0100

r-cran-sessioninfo (1.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 11 Nov 2018 08:44:59 +0100

r-cran-sessioninfo (1.1.0-1) unstable; urgency=medium

  * Initial release (closes: #912138)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 28 Oct 2018 14:37:33 +0100

=== debian/control ===
Source: r-cran-sessioninfo
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-withr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sessioninfo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sessioninfo.git
Homepage: https://cran.r-project.org/package=sessioninfo
Rules-Requires-Root: no

Package: r-cran-sessioninfo
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R Session Information
 Query and print information about the current R session.
 It is similar to 'utils::sessionInfo()', but includes more information
 about packages, and where they were installed from.

## r-cran-sessioninfo 1.2.2

=== DESCRIPTION ===
Package: sessioninfo
Title: R Session Information
Version: 1.2.2
Authors@R: 
    c(person(given = "Gábor",
             family = "Csárdi",
             role = "cre",
             email = "csardi.gabor@gmail.com"),
      person(given = "Hadley",
             family = "Wickham",
             role = "aut"),
      person(given = "Winston",
             family = "Chang",
             role = "aut"),
      person(given = "Robert",
             family = "Flight",
             role = "aut"),
      person(given = "Kirill",
             family = "Müller",
             role = "aut"),
      person(given = "Jim",
             family = "Hester",
             role = "aut"),
      person(given = "R Core team",
             role = "ctb"))
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Query and print information about the current R
    session.  It is similar to 'utils::sessionInfo()', but includes more
    information about packages, and where they were installed from.
License: GPL-2
URL: https://github.com/r-lib/sessioninfo#readme,
        https://r-lib.github.io/sessioninfo/
BugReports: https://github.com/r-lib/sessioninfo/issues
Depends: R (>= 2.10)
Imports: cli (>= 3.1.0), tools, utils
Suggests: callr, covr, mockery, reticulate, rmarkdown, testthat, withr
Encoding: UTF-8
RoxygenNote: 7.1.2.9000
Config/testthat/edition: 3
Config/Needs/website: pkgdown
Config/testthat/parallel: true
NeedsCompilation: no
Packaged: 2021-12-06 11:31:46 UTC; gaborcsardi
Author: Gábor Csárdi [cre],
  Hadley Wickham [aut],
  Winston Chang [aut],
  Robert Flight [aut],
  Kirill Müller [aut],
  Jim Hester [aut],
  R Core team [ctb]
Repository: CRAN
Date/Publication: 2021-12-06 11:50:02 UTC

=== debian/changelog ===
r-cran-sessioninfo (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 10 Dec 2021 11:45:16 +0100

r-cran-sessioninfo (1.2.1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2.1
  * d/control: Run cme, dh-update-R
  * d/t/run-unit-test: manually gzip gh.html to run tests
  * d/salsa-ci.yml: Disable reprotest

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Nov 2021 22:16:12 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-cli,
-               r-cran-withr
-Standards-Version: 4.5.0
+               r-cran-cli (>= 3.1.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sessioninfo
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sessioninfo.git
 Homepage: https://cran.r-project.org/package=sessioninfo

## r-cran-sessioninfo 1.2.3

=== DESCRIPTION ===
Package: sessioninfo
Title: R Session Information
Version: 1.2.3
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "cre"),
    person("Hadley", "Wickham", role = "aut"),
    person("Winston", "Chang", role = "aut"),
    person("Robert", "Flight", role = "aut"),
    person("Kirill", "Müller", role = "aut"),
    person("Jim", "Hester", role = "aut"),
    person("R Core team", role = "ctb"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Query and print information about the current R session.  It
    is similar to 'utils::sessionInfo()', but includes more information
    about packages, and where they were installed from.
License: GPL-2
URL: https://github.com/r-lib/sessioninfo#readme,
        https://sessioninfo.r-lib.org
BugReports: https://github.com/r-lib/sessioninfo/issues
Depends: R (>= 3.4)
Imports: cli (>= 3.1.0), tools, utils
Suggests: callr, covr, gh, reticulate, rmarkdown, testthat (>= 3.2.0),
        withr
Config/Needs/website: pkgdown, tidyverse/tidytemplate
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-02-05 12:57:47 UTC; gaborcsardi
Author: Gábor Csárdi [cre],
  Hadley Wickham [aut],
  Winston Chang [aut],
  Robert Flight [aut],
  Kirill Müller [aut],
  Jim Hester [aut],
  R Core team [ctb],
  Posit Software, PBC [cph, fnd]
Repository: CRAN
Date/Publication: 2025-02-05 13:40:02 UTC

=== debian/changelog ===
r-cran-sessioninfo (1.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 21 Feb 2025 10:48:01 +0900

=== debian/control ===
Source: r-cran-sessioninfo
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sessioninfo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sessioninfo.git
Homepage: https://cran.r-project.org/package=sessioninfo
Standards-Version: 4.7.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.1.0)
Testsuite: autopkgtest-pkg-r

Package: r-cran-sessioninfo
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R Session Information
 Query and print information about the current R session.
 It is similar to 'utils::sessionInfo()', but includes more information
 about packages, and where they were installed from.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-callr,
        r-cran-covr,
        r-cran-gh,
        r-cran-reticulate,
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.2.0),
        r-cran-withr
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/sessioninfo_([-\d.]*)\.tar\.gz
